<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
    <ul class="navbar-nav ml-auto">

        <div class="topbar-divider d-none d-sm-block"></div>

        <li class="nav-item dropdown no-arrow" style="margin-right: 1em;">
            <ul class="navbar-nav navbar-right">
                <li class="nav-item dropdown show mx-2">
                    <a class="btn btn-outline-primary" id="dropdownLang" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span th:text="#{locale.language}"></span></a>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                        <a class="dropdown-item" th:href="@{/locale(lang=es_ES)}" th:text="#{locale.language.es}">ES</a>
                        <a class="dropdown-item" th:href="@{/locale(lang=en_US)}" th:text="#{locale.language.en}">US</a>
                        <a class="dropdown-item" th:href="@{/locale(lang=it_IT)}" th:text="#{locale.language.it}">IT</a>
                    </div>
                </li>
                <li sec:authorize="!isAuthenticated()"><a class="btn btn-outline-primary" th:href="@{/login}" th:text="#{login.payment.btn.login}">Sign In</a></li>

                <li sec:authorize="isAuthenticated()" class="dropdown show">
                    <a class="btn btn-outline-primary" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span sec:authentication="name"></span>
                    </a>

                    <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                        <a class="dropdown-item">
                            <form id="logoutForm" th:action="@{/logout}" method="post">
                                <a class="dropdown-item" th:href="|@{/user/password/}${#authentication.name}|" type="submit" th:text="#{navigation.payment.change.psw}"></a>
                                <button class="dropdown-item" onclick="document.getElementById('logoutForm').submit();" type="submit" th:text="#{login.paytment.btn.signout}">Sign Out</button>
                            </form>
                        </a>
                    </div>
                </li>
            </ul>
        </li>
    </ul>
</nav>